# POST /api/v1/app/{appId}

**Update application**

## Update Application
Updates a Stackhawk Application.

Currently, can only change an application name.

> 👥 Teams Supported
> If the application belongs to a StackHawk [Team](https://docs.stackhawk.com/web-app/teams.html), only members of the Team can call this endpoint.

> 🧾 Audited
> This is recorded as `APPLICATION_MODIFIED` [User Activity](https://apidocs.stackhawk.com/reference/listauditactivity#user-activity-types).

> Requires `write:application` permission.

## Parameters

- `appId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Application.

## Request Body

### application/json

- `applicationId` (string) — The UUID identifier of this application.
- `applicationType` (string) — updated application type for this application.
- `cloudScanTarget` (application.CloudScanTarget)
  - `isDomainVerified` (boolean) — Indicates if the domain is verified or not.
  - `targetURL` (string) — The target URL.
- `dataType` (string) — updated dataType for this application.
- `name` (string) *(required)* — updated name for this application.
- `riskLevel` (string) — updated riskLevel for this application.
- `screenrMetadata` (object) — Screenr (flightpath) session metadata to set.

## Responses

### 200 — Applications group scan results from HawkScan, and coordinate settings to influence HawkScan behavior. The application may also contain a specific environment name and id. For more information, see [Applications](https://docs.stackhawk.com/web-app/applications.html).

#### application/json

- `applicationId` (string) — The UUID identifier of this application.
- `applicationStatus` (string) — The status of this application. Either ACTIVE or ENV_INCOMPLETE.
- `applicationType` (string) — The type of this application.
- `cloudScanTarget` (application.CloudScanTarget)
  - `isDomainVerified` (boolean) — Indicates if the domain is verified or not.
  - `targetURL` (string) — The target URL.
- `dataType` (string) — The perceived dataType of this application. Currently unused.
- `env` (string) — The name of this environment. Only set when requesting Application Environments.
- `envId` (string) — The UUID identifier of this environment.
- `name` (string) — The name of this application.
- `organizationId` (string) — The UUID identifier of the organization that owns this application.
- `riskLevel` (string) — The perceived riskLevel of this application. Currently unused.

#### application/x-protobuf

- `applicationId` (string) — The UUID identifier of this application.
- `applicationStatus` (string) — The status of this application. Either ACTIVE or ENV_INCOMPLETE.
- `applicationType` (string) — The type of this application.
- `cloudScanTarget` (application.CloudScanTarget)
  - `isDomainVerified` (boolean) — Indicates if the domain is verified or not.
  - `targetURL` (string) — The target URL.
- `dataType` (string) — The perceived dataType of this application. Currently unused.
- `env` (string) — The name of this environment. Only set when requesting Application Environments.
- `envId` (string) — The UUID identifier of this environment.
- `name` (string) — The name of this application.
- `organizationId` (string) — The UUID identifier of the organization that owns this application.
- `riskLevel` (string) — The perceived riskLevel of this application. Currently unused.

### 400 — Bad Request

- (no body)

### 401 — Unauthorized

- (no body)
